| Home | Libraries | People | FAQ | More

##### greater than

Lexicographically compare two sequences.

###### Synopsis

    template <typename Seq1, typename Seq2>
    bool
    operator>(Seq1 const& a, Seq2 const& b);

###### Parameters

Parameter | Requirement | Description
--- | --- | ---
`a, b` | Instances of Sequence | Sequence(s) to compare

###### Expression Semantics

    a > b

Return type: `bool`

Requirements:

For each element, `e1`, in sequence `a`, and for each element, `e2`, in sequence `b`, `a < b` is a valid expression returning a type that is convertible to bool.

An attempt to compare two Sequences of different lengths results in a compile time error.

Semantics: Returns b < a.

###### Header

    #include <boost/fusion/sequence/comparison/less_equal.hpp>
    #include <boost/fusion/include/less_equal.hpp>

###### Example

    vector<int, float> v1(4, 3.3f);
    vector<short, float> v2(5, 3.3f);
    vector<long, double> v3(5, 4.4);
    assert(v2 > v1);
    assert(v3 > v2);